[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TBufferedFileStream.Destroy

Destructor for the class instance

## Declaration

Source position: bufstream.pp line 129

`public destructor TBufferedFileStream.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that memory allocated to pages in the internal buffer is freed, and that buffer pages are released. Destroy calls the inherited destructor prior to exit.

## See also

TFileStream.Destroy